
_Init4620:

;RFMLib30.mbas,305 :: 		sub procedure Init4620
;RFMLib30.mbas,307 :: 		INTCON  = $00                       ' Interrupts off
	CLRF        INTCON+0 
;RFMLib30.mbas,308 :: 		INTCON2 = %10000000
	MOVLW       128
	MOVWF       INTCON2+0 
;RFMLib30.mbas,309 :: 		INTCON3 = $00
	CLRF        INTCON3+0 
;RFMLib30.mbas,310 :: 		PIE1    = $00
	CLRF        PIE1+0 
;RFMLib30.mbas,311 :: 		PIE2    = $00
	CLRF        PIE2+0 
;RFMLib30.mbas,312 :: 		CVRCON  = 0
	CLRF        CVRCON+0 
;RFMLib30.mbas,313 :: 		CCP1CON = 0
	CLRF        CCP1CON+0 
;RFMLib30.mbas,314 :: 		CCP2CON = 0
	CLRF        CCP2CON+0 
;RFMLib30.mbas,316 :: 		ADCON0  = 0
	CLRF        ADCON0+0 
;RFMLib30.mbas,317 :: 		ADCON1  = %00001111                 ' alles digital
	MOVLW       15
	MOVWF       ADCON1+0 
;RFMLib30.mbas,318 :: 		ADCON2  = 0
	CLRF        ADCON2+0 
;RFMLib30.mbas,320 :: 		WDTCON  = 0
	CLRF        WDTCON+0 
;RFMLib30.mbas,321 :: 		RCON    = %00011111
	MOVLW       31
	MOVWF       RCON+0 
;RFMLib30.mbas,323 :: 		TRISA   = %11111111                 ' set PORTA as input
	MOVLW       255
	MOVWF       TRISA+0 
;RFMLib30.mbas,324 :: 		PORTA   = 0
	CLRF        PORTA+0 
;RFMLib30.mbas,326 :: 		TRISB   = %11111111                 ' set PORTB as input
	MOVLW       255
	MOVWF       TRISB+0 
;RFMLib30.mbas,327 :: 		PORTB   = 0xFF
	MOVLW       255
	MOVWF       PORTB+0 
;RFMLib30.mbas,329 :: 		TRISC   = %11111111                 ' set PortC as input
	MOVLW       255
	MOVWF       TRISC+0 
;RFMLib30.mbas,330 :: 		PORTC   = 0xFF
	MOVLW       255
	MOVWF       PORTC+0 
;RFMLib30.mbas,332 :: 		TRISD   = $00                       ' set PORTD as output, PSB-Bit in TRISE
	CLRF        TRISD+0 
;RFMLib30.mbas,333 :: 		PORTD   = 0
	CLRF        PORTD+0 
;RFMLib30.mbas,335 :: 		TRISE   = %00001111                 ' set PortE input, Achtung PSB-Bit f PtD
	MOVLW       15
	MOVWF       TRISE+0 
;RFMLib30.mbas,336 :: 		PortE   = 0
	CLRF        PORTE+0 
;RFMLib30.mbas,337 :: 		end sub
L_end_Init4620:
	RETURN      0
; end of _Init4620

_InitRFM12:

;RFMLib30.mbas,343 :: 		sub function InitRFM12 as byte
;RFMLib30.mbas,345 :: 		LEDX_Direction =  0
	BCF         TRISD1_bit+0, BitPos(TRISD1_bit+0) 
;RFMLib30.mbas,346 :: 		LEDR_Direction =  0
	BCF         TRISD0_bit+0, BitPos(TRISD0_bit+0) 
;RFMLib30.mbas,347 :: 		nSEL_Direction =  0
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;RFMLib30.mbas,348 :: 		SDIX_Direction =  0
	BCF         TRISC5_bit+0, BitPos(TRISC5_bit+0) 
;RFMLib30.mbas,349 :: 		SDOX_Direction =  1
	BSF         TRISC4_bit+0, BitPos(TRISC4_bit+0) 
;RFMLib30.mbas,350 :: 		SCKX_Direction =  0
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;RFMLib30.mbas,351 :: 		nIRQ_Direction =  1
	BSF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
;RFMLib30.mbas,353 :: 		nSEL = 1
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mbas,354 :: 		SDIX = 1
	BSF         RC5_bit+0, BitPos(RC5_bit+0) 
;RFMLib30.mbas,355 :: 		SDOX = 0
	BCF         RC4_bit+0, BitPos(RC4_bit+0) 
;RFMLib30.mbas,356 :: 		SCKX = 0
	BCF         RC3_bit+0, BitPos(RC3_bit+0) 
;RFMLib30.mbas,357 :: 		LEDX = 0
	BCF         RD1_bit+0, BitPos(RD1_bit+0) 
;RFMLib30.mbas,358 :: 		LEDR = 0
	BCF         RD0_bit+0, BitPos(RD0_bit+0) 
;RFMLib30.mbas,360 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV16, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH)
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;RFMLib30.mbas,361 :: 		delay_us(100)
	MOVLW       66
	MOVWF       R13, 0
L__InitRFM122:
	DECFSZ      R13, 1, 1
	BRA         L__InitRFM122
	NOP
;RFMLib30.mbas,364 :: 		SPIPutGet16(0x80D8)                 ' enable register,433MHz,12.5pF
	MOVLW       216
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       128
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,365 :: 		SPIPutGet16(0x8258)                 ' enable baseband,synt,!RX, !TX
	MOVLW       88
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,366 :: 		SPIPutGet16(0xCC15)                 ' only RFM12B, low power
	MOVLW       21
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       204
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,367 :: 		SPIPutGet16(0xC000)                 ' clock, brownout
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       192
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,368 :: 		SPIPutGet16(0xA640)                 ' 434MHz
	MOVLW       64
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       166
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,369 :: 		SPIPutGet16(0xC647)                 ' 4.8kbps }
	MOVLW       71
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       198
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,372 :: 		SPIPutGet16(0x94A0)                 ' VDI,FAST,134kHz,0dBm,-103dBm
	MOVLW       160
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       148
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,373 :: 		SPIPutGet16(0xCED4)                 ' only RFM12B, sync pattern
	MOVLW       212
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       206
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,374 :: 		SPIPutGet16(0xC2AC)                 ' autobit, digifilter
	MOVLW       172
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       194
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,375 :: 		SPIPutGet16(0xCA81)                 ' FIFO empty, reset off
	MOVLW       129
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,376 :: 		SPIPutGet16(0xC4B7)                 ' AFC
	MOVLW       183
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       196
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,377 :: 		SPIPutGet16(0x9860)                 ' !mp,90kHz deviation,MAX OUT
	MOVLW       96
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       152
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,378 :: 		SPIPutGet16(0xE000)                 ' Wakeup
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       224
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,379 :: 		SPIPutGet16(0xC800)                 ' cyclic RX off
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       200
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,381 :: 		Fmod = 1                           ' RFM init.
	MOVLW       1
	MOVWF       _Fmod+0 
;RFMLib30.mbas,382 :: 		Fget = 0
	CLRF        RFMLib30_Fget+0 
;RFMLib30.mbas,383 :: 		Fput = 0
	CLRF        RFMLib30_Fput+0 
;RFMLib30.mbas,384 :: 		result = Fmod
	MOVLW       1
	MOVWF       InitRFM12_local_result+0 
;RFMLib30.mbas,385 :: 		end sub
	MOVF        InitRFM12_local_result+0, 0 
	MOVWF       R0 
L_end_InitRFM12:
	RETURN      0
; end of _InitRFM12

_RFMGetStart:

;RFMLib30.mbas,393 :: 		I as byte
;RFMLib30.mbas,395 :: 		Fenu = 1
	MOVLW       1
	MOVWF       RFMLib30_Fenu+0 
;RFMLib30.mbas,396 :: 		Fmod = 2
	MOVLW       2
	MOVWF       _Fmod+0 
;RFMLib30.mbas,397 :: 		Fget = 1
	MOVLW       1
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mbas,398 :: 		Fidx = 0
	CLRF        RFMLib30_Fidx+0 
;RFMLib30.mbas,399 :: 		Fham = 1                            ' starts with hi-part
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mbas,400 :: 		Flen = BUMAX
	MOVLW       32
	MOVWF       RFMLib30_Flen+0 
;RFMLib30.mbas,402 :: 		for I = 0 to BUmax
	CLRF        RFMGetStart_I+0 
L__RFMGetStart5:
;RFMLib30.mbas,403 :: 		RXBU[I] = 0                      ' Clear RX Buffer
	MOVLW       _RXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMGetStart_I+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;RFMLib30.mbas,404 :: 		next I
	MOVF        RFMGetStart_I+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L__RFMGetStart8
	INCF        RFMGetStart_I+0, 1 
	GOTO        L__RFMGetStart5
L__RFMGetStart8:
;RFMLib30.mbas,405 :: 		INTCON.1 = 0                       ' Reset IR Flag
	BCF         INTCON+0, 1 
;RFMLib30.mbas,406 :: 		SPIPutGet16(0x82D8)                 ' RX 0n
	MOVLW       216
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,407 :: 		delay_us(1000)                      ' warmup RX
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L__RFMGetStart9:
	DECFSZ      R13, 1, 1
	BRA         L__RFMGetStart9
	DECFSZ      R12, 1, 1
	BRA         L__RFMGetStart9
	NOP
	NOP
;RFMLib30.mbas,408 :: 		SPIPutGet16(0xCA81)                 ' FIFO init
	MOVLW       129
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,409 :: 		SPIPutGet16(0xCA83)                 ' FIFO activ
	MOVLW       131
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,410 :: 		SPIPutGet16(0x0000)                 ' get status, ask IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,411 :: 		SPIPutGet16(0xB000)                 ' do dummy read
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       176
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,412 :: 		SPIPutGet16(0x0000)                 ' activate IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,414 :: 		result = Fget
	MOVF        RFMLib30_Fget+0, 0 
	MOVWF       RFMGetStart_local_result+0 
;RFMLib30.mbas,415 :: 		end sub                                 ' start RX
	MOVF        RFMGetStart_local_result+0, 0 
	MOVWF       R0 
L_end_RFMGetStart:
	RETURN      0
; end of _RFMGetStart

_RFMGetReady:

;RFMLib30.mbas,421 :: 		sub function RFMGetReady as byte
;RFMLib30.mbas,422 :: 		result = Fget
	MOVF        RFMLib30_Fget+0, 0 
	MOVWF       R1 
;RFMLib30.mbas,423 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_RFMGetReady:
	RETURN      0
; end of _RFMGetReady

_RFMPutStart:

;RFMLib30.mbas,431 :: 		CRC16 as word
;RFMLib30.mbas,432 :: 		Fenu   = 0
	CLRF        RFMLib30_Fenu+0 
;RFMLib30.mbas,433 :: 		Fput   = 1
	MOVLW       1
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mbas,434 :: 		Flen   = TXBU[2]
	MOVF        _TXBU+2, 0 
	MOVWF       RFMLib30_Flen+0 
;RFMLib30.mbas,435 :: 		if ((Flen < 4) or (Flen > BUMAX)) then
	MOVLW       4
	SUBWF       _TXBU+2, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _TXBU+2, 0 
	SUBLW       32
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__RFMPutStart13
;RFMLib30.mbas,437 :: 		Fput = 9
	MOVLW       9
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mbas,438 :: 		exit
	GOTO        L_end__RFMPutStart
L__RFMPutStart13:
;RFMLib30.mbas,440 :: 		Fmod = 4
	MOVLW       4
	MOVWF       _Fmod+0 
;RFMLib30.mbas,441 :: 		Fidx = 1                           ' because first byte of header will send here
	MOVLW       1
	MOVWF       RFMLib30_Fidx+0 
;RFMLib30.mbas,442 :: 		Fint = 1                           ' put IR starts with header mode
	MOVLW       1
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mbas,444 :: 		INTCON.1 = 0                       ' Reset IR Flag
	BCF         INTCON+0, 1 
;RFMLib30.mbas,445 :: 		SPIPutGet16(0x8278)                 ' Tx on
	MOVLW       120
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,446 :: 		delay_us(1000)                      ' warmup TX
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L__RFMPutStart15:
	DECFSZ      R13, 1, 1
	BRA         L__RFMPutStart15
	DECFSZ      R12, 1, 1
	BRA         L__RFMPutStart15
	NOP
	NOP
;RFMLib30.mbas,447 :: 		SPIPutGet16(0xB8AA)                 ' send first byte of header
	MOVLW       170
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       184
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,448 :: 		SPIPutGet16(0x0000)                 ' get status, ask IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mbas,449 :: 		result = Fput
	MOVF        RFMLib30_Fput+0, 0 
	MOVWF       RFMPutStart_local_result+0 
;RFMLib30.mbas,450 :: 		end sub
L_end__RFMPutStart:
	MOVF        RFMPutStart_local_result+0, 0 
	MOVWF       R0 
L_end_RFMPutStart:
	RETURN      0
; end of _RFMPutStart

_RFMPutReady:

;RFMLib30.mbas,456 :: 		sub function RFMPutReady as byte
;RFMLib30.mbas,457 :: 		result = Fput
	MOVF        RFMLib30_Fput+0, 0 
	MOVWF       R1 
;RFMLib30.mbas,458 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_RFMPutReady:
	RETURN      0
; end of _RFMPutReady

_DecHam:

;RFMLib30.mbas,464 :: 		sub function DecHam(dim Ham as byte) as byte
;RFMLib30.mbas,466 :: 		case 0x15Result = 0x00
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       21
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam21
	CLRF        R1 
	GOTO        L__DecHam18
L__DecHam21:
;RFMLib30.mbas,467 :: 		case 0x02Result = 0x01
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam24
	MOVLW       1
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam24:
;RFMLib30.mbas,468 :: 		case 0x49Result = 0x02
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       73
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam27
	MOVLW       2
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam27:
;RFMLib30.mbas,469 :: 		case 0x5eResult = 0x03
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       94
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam30
	MOVLW       3
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam30:
;RFMLib30.mbas,470 :: 		case 0x64Result = 0x04
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       100
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam33
	MOVLW       4
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam33:
;RFMLib30.mbas,472 :: 		case 0x73Result = 0x05
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       115
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam36
	MOVLW       5
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam36:
;RFMLib30.mbas,473 :: 		case 0x38Result = 0x06
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam39
	MOVLW       6
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam39:
;RFMLib30.mbas,474 :: 		case 0x2fResult = 0x07
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       47
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam42
	MOVLW       7
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam42:
;RFMLib30.mbas,475 :: 		case 0xd0Result = 0x08
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       208
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam45
	MOVLW       8
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam45:
;RFMLib30.mbas,476 :: 		case 0xc7Result = 0x09
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       199
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam48
	MOVLW       9
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam48:
;RFMLib30.mbas,478 :: 		case 0x8cResult = 0x0A
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       140
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam51
	MOVLW       10
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam51:
;RFMLib30.mbas,479 :: 		case 0x9bResult = 0x0B
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       155
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam54
	MOVLW       11
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam54:
;RFMLib30.mbas,480 :: 		case 0xa1Result = 0x0C
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       161
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam57
	MOVLW       12
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam57:
;RFMLib30.mbas,481 :: 		case 0xb6Result = 0x0D
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       182
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam60
	MOVLW       13
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam60:
;RFMLib30.mbas,482 :: 		case 0xfdResult = 0x0E
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       253
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam63
	MOVLW       14
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam63:
;RFMLib30.mbas,483 :: 		case 0xeaResult = 0x0F
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       234
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam66
	MOVLW       15
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam66:
;RFMLib30.mbas,485 :: 		Result = 0xFF                  ' Hamming Error
	MOVLW       255
	MOVWF       R1 
L__DecHam18:
;RFMLib30.mbas,487 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_DecHam:
	RETURN      0
; end of _DecHam

_SPIPutGet16:

;RFMLib30.mbas,499 :: 		CMDlo as byte
;RFMLib30.mbas,502 :: 		CMDlo = lo(CMD)
	MOVF        FARG_SPIPutGet16_CMD+0, 0 
	MOVWF       SPIPutGet16_CMDlo+0 
;RFMLib30.mbas,503 :: 		nSEL  = 0
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mbas,504 :: 		SPIhi = SPIreadM(CMDhi)
	MOVF        FARG_SPIPutGet16_CMD+1, 0 
	MOVWF       FARG_SPIreadM_Bput+0 
	CALL        _SPIreadM+0, 0
	MOVF        R0, 0 
	MOVWF       SPIPutGet16_SPIhi+0 
;RFMLib30.mbas,505 :: 		SPIlo = SPIreadM(CMDlo)
	MOVF        SPIPutGet16_CMDlo+0, 0 
	MOVWF       FARG_SPIreadM_Bput+0 
	CALL        _SPIreadM+0, 0
;RFMLib30.mbas,506 :: 		nSEL  = 1
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mbas,507 :: 		SPIin = SPIhi  <<  8
	MOVF        SPIPutGet16_SPIhi+0, 0 
	MOVWF       R2 
	CLRF        R1 
;RFMLib30.mbas,508 :: 		SPIin = SPIin + SPIlo
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       SPIPutGet16_local_result+0 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       SPIPutGet16_local_result+1 
;RFMLib30.mbas,509 :: 		result= SPIin
;RFMLib30.mbas,510 :: 		end sub
	MOVF        SPIPutGet16_local_result+0, 0 
	MOVWF       R0 
	MOVF        SPIPutGet16_local_result+1, 0 
	MOVWF       R1 
L_end_SPIPutGet16:
	RETURN      0
; end of _SPIPutGet16

_SPIPut16Get8:

;RFMLib30.mbas,522 :: 		CMDlo as byte
;RFMLib30.mbas,525 :: 		CMDlo = lo(CMD)
	MOVF        FARG_SPIPut16Get8_CMD+0, 0 
	MOVWF       SPIPut16Get8_CMDlo+0 
;RFMLib30.mbas,526 :: 		nSEL  = 0
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mbas,527 :: 		SPIhi = SPIread(CMDhi)
	MOVF        FARG_SPIPut16Get8_CMD+1, 0 
	MOVWF       FARG_SPIread_Bput+0 
	CALL        _SPIread+0, 0
;RFMLib30.mbas,528 :: 		SPIlo = SPIread(CMDlo)
	MOVF        SPIPut16Get8_CMDlo+0, 0 
	MOVWF       FARG_SPIread_Bput+0 
	CALL        _SPIread+0, 0
;RFMLib30.mbas,529 :: 		nSEL  = 1
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mbas,530 :: 		result= SPIlo
	MOVF        R0, 0 
	MOVWF       SPIPut16Get8_local_result+0 
;RFMLib30.mbas,531 :: 		end sub
	MOVF        SPIPut16Get8_local_result+0, 0 
	MOVWF       R0 
L_end_SPIPut16Get8:
	RETURN      0
; end of _SPIPut16Get8

_CRCalc:

;RFMLib30.mbas,544 :: 		B as byte
;RFMLib30.mbas,547 :: 		CRC = $FFFF
	MOVLW       255
	MOVWF       R5 
	MOVLW       255
	MOVWF       R6 
;RFMLib30.mbas,548 :: 		for I = Istrt to Iend
	MOVF        FARG_CRCalc_Istrt+0, 0 
	MOVWF       R9 
	MOVLW       0
	MOVWF       R10 
L__CRCalc70:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       R10, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc160
	MOVF        R9, 0 
	SUBWF       FARG_CRCalc_Iend+0, 0 
L__CRCalc160:
	BTFSS       STATUS+0, 0 
	GOTO        L__CRCalc74
;RFMLib30.mbas,550 :: 		B = BUF[I]
	MOVF        R9, 0 
	ADDWF       FARG_CRCalc_BUF+0, 0 
	MOVWF       FSR2 
	MOVF        R10, 0 
	ADDWFC      FARG_CRCalc_BUF+1, 0 
	MOVWF       FSR2H 
;RFMLib30.mbas,551 :: 		CRC = CRC xor B
	MOVF        POSTINC2+0, 0 
	XORWF       R5, 1 
	MOVLW       0
	XORWF       R6, 1 
;RFMLib30.mbas,552 :: 		for N = 1 to 8
	MOVLW       1
	MOVWF       R7 
	MOVLW       0
	MOVWF       R8 
L__CRCalc76:
;RFMLib30.mbas,553 :: 		if (CRC and 1) <> 0 then
	MOVLW       1
	ANDWF       R5, 0 
	MOVWF       R1 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc161
	MOVLW       0
	XORWF       R1, 0 
L__CRCalc161:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc81
;RFMLib30.mbas,554 :: 		CRC =(CRC  >>  1) xor Poly
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R6, 7 
	MOVLW       1
	XORWF       R5, 1 
	MOVLW       160
	XORWF       R6, 1 
	GOTO        L__CRCalc82
;RFMLib30.mbas,555 :: 		else
L__CRCalc81:
;RFMLib30.mbas,556 :: 		CRC = CRC  >>  1
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R6, 7 
;RFMLib30.mbas,557 :: 		end if
L__CRCalc82:
;RFMLib30.mbas,558 :: 		next N
	MOVLW       0
	XORWF       R8, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc162
	MOVLW       8
	XORWF       R7, 0 
L__CRCalc162:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc79
	INFSNZ      R7, 1 
	INCF        R8, 1 
	GOTO        L__CRCalc76
L__CRCalc79:
;RFMLib30.mbas,559 :: 		next I
	MOVLW       0
	XORWF       R10, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc163
	MOVF        FARG_CRCalc_Iend+0, 0 
	XORWF       R9, 0 
L__CRCalc163:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc74
	INFSNZ      R9, 1 
	INCF        R10, 1 
	GOTO        L__CRCalc70
L__CRCalc74:
;RFMLib30.mbas,560 :: 		Result = CRC
	MOVF        R5, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R4 
;RFMLib30.mbas,561 :: 		end sub
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
L_end_CRCalc:
	RETURN      0
; end of _CRCalc

_RFM12IntRX:

;RFMLib30.mbas,570 :: 		Byt as byte
;RFMLib30.mbas,572 :: 		Fget = 2                           ' get is running
	MOVLW       2
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mbas,573 :: 		if Fidx <= Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__RFM12IntRX85
;RFMLib30.mbas,575 :: 		Byt = SPIPut16Get8(0xB000)       ' get Byte
	MOVLW       0
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       176
	MOVWF       FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
	MOVF        R0, 0 
	MOVWF       RFM12IntRX_Byt+0 
;RFMLib30.mbas,576 :: 		SPIPut16Get8(0x0000)              ' get status, ask for IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,577 :: 		if Fham = 1 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX88
;RFMLib30.mbas,579 :: 		Fhi  = DecHam(Byt)             ' first Hamming Byte
	MOVF        RFM12IntRX_Byt+0, 0 
	MOVWF       FARG_DecHam_Ham+0 
	CALL        _DecHam+0, 0
	MOVF        R0, 0 
	MOVWF       RFMLib30_Fhi+0 
;RFMLib30.mbas,580 :: 		if Fhi = 0xFF then
	MOVF        R0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX91
;RFMLib30.mbas,582 :: 		Fget = 8                     ' Error-Code
	MOVLW       8
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mbas,583 :: 		Fmod = 3                     ' End of Get
	MOVLW       3
	MOVWF       _Fmod+0 
;RFMLib30.mbas,584 :: 		exit
	GOTO        L_end__RFM12IntRX
L__RFM12IntRX91:
;RFMLib30.mbas,586 :: 		Fham = 2
	MOVLW       2
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mbas,587 :: 		exit
	GOTO        L_end__RFM12IntRX
L__RFM12IntRX88:
;RFMLib30.mbas,589 :: 		if Fham = 2 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX94
;RFMLib30.mbas,591 :: 		Flo  = DecHam(Byt)
	MOVF        RFM12IntRX_Byt+0, 0 
	MOVWF       FARG_DecHam_Ham+0 
	CALL        _DecHam+0, 0
	MOVF        R0, 0 
	MOVWF       RFMLib30_Flo+0 
;RFMLib30.mbas,592 :: 		if Flo = 0xFF then
	MOVF        R0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX97
;RFMLib30.mbas,594 :: 		Fget = 8                     ' Error-Code
	MOVLW       8
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mbas,595 :: 		Fmod = 3                     ' End of Get
	MOVLW       3
	MOVWF       _Fmod+0 
;RFMLib30.mbas,596 :: 		exit
	GOTO        L_end__RFM12IntRX
L__RFM12IntRX97:
;RFMLib30.mbas,598 :: 		Fham = 1
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
L__RFM12IntRX94:
;RFMLib30.mbas,600 :: 		Byt = (Fhi  <<  4) or Flo
	MOVF        RFMLib30_Fhi+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        RFMLib30_Flo+0, 0 
	IORWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       RFM12IntRX_Byt+0 
;RFMLib30.mbas,601 :: 		RXBU[Fidx] = Byt
	MOVLW       _RXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFMLib30.mbas,602 :: 		if Fidx = 2 then
	MOVF        RFMLib30_Fidx+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX100
;RFMLib30.mbas,603 :: 		Flen = RXBU[2]                 ' takes msg length
	MOVF        _RXBU+2, 0 
	MOVWF       RFMLib30_Flen+0 
L__RFM12IntRX100:
;RFMLib30.mbas,605 :: 		if Flen > BUMAX then
	MOVF        RFMLib30_Flen+0, 0 
	SUBLW       32
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntRX103
;RFMLib30.mbas,606 :: 		Flen = BUMAX                   ' avoid buffer overflow,if transm. error
	MOVLW       32
	MOVWF       RFMLib30_Flen+0 
L__RFM12IntRX103:
;RFMLib30.mbas,608 :: 		inc(Fidx)
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mbas,609 :: 		if Fidx > Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntRX106
;RFMLib30.mbas,611 :: 		Fget  = 3                      ' get is ready
	MOVLW       3
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mbas,612 :: 		Crc16 = CRCalc(RXBU,0,Flen-2)
	MOVLW       _RXBU+0
	MOVWF       FARG_CRCalc_BUF+0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FARG_CRCalc_BUF+1 
	CLRF        FARG_CRCalc_Istrt+0 
	MOVLW       2
	SUBWF       RFMLib30_Flen+0, 0 
	MOVWF       FARG_CRCalc_Iend+0 
	CALL        _CRCalc+0, 0
;RFMLib30.mbas,613 :: 		Fhi   = (CRC16 and 0xFF00)  >>  8
	MOVLW       0
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R5 
	CLRF        R6 
	MOVF        R5, 0 
	MOVWF       RFMLib30_Fhi+0 
;RFMLib30.mbas,614 :: 		Flo   = (CRC16 and 0x00FF)
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       RFMLib30_Flo+0 
;RFMLib30.mbas,615 :: 		if ((RXBU[Flen-1] <> Fhi) or (RXBU[Flen] <> Flo)) then
	DECF        RFMLib30_Flen+0, 0 
	MOVWF       R0 
	MOVLW       _RXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORWF       R5, 0 
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R1 
	MOVLW       _RXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Flen+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORWF       R2, 0 
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__RFM12IntRX109
;RFMLib30.mbas,616 :: 		Fget = 9                     ' msg NOK
	MOVLW       9
	MOVWF       RFMLib30_Fget+0 
L__RFM12IntRX109:
;RFMLib30.mbas,618 :: 		Fmod = 3                       ' end of get
	MOVLW       3
	MOVWF       _Fmod+0 
L__RFM12IntRX106:
;RFMLib30.mbas,619 :: 		end if
L__RFM12IntRX85:
;RFMLib30.mbas,621 :: 		end sub
L_end__RFM12IntRX:
L_end_RFM12IntRX:
	RETURN      0
; end of _RFM12IntRX

_RFM12IntTX:

;RFMLib30.mbas,631 :: 		Hilo as byte
;RFMLib30.mbas,634 :: 		case 01
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX115
;RFMLib30.mbas,636 :: 		if Fidx = 1 then
	MOVF        RFMLib30_Fidx+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX117
;RFMLib30.mbas,638 :: 		Fput = 2                    ' put is running
	MOVLW       2
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mbas,639 :: 		CRC16  = CRCalc(TXBU,0,Flen-2)     ' calc CRC16
	MOVLW       _TXBU+0
	MOVWF       FARG_CRCalc_BUF+0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FARG_CRCalc_BUF+1 
	CLRF        FARG_CRCalc_Istrt+0 
	MOVLW       2
	SUBWF       RFMLib30_Flen+0, 0 
	MOVWF       FARG_CRCalc_Iend+0 
	CALL        _CRCalc+0, 0
	MOVF        R0, 0 
	MOVWF       RFM12IntTX_CRC16+0 
	MOVF        R1, 0 
	MOVWF       RFM12IntTX_CRC16+1 
;RFMLib30.mbas,640 :: 		TXBU[Flen-1] = (CRC16 and 0xFF00)  >>  8
	DECF        RFMLib30_Flen+0, 0 
	MOVWF       R2 
	MOVLW       _TXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       0
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFMLib30.mbas,641 :: 		TXBU[Flen]   =  CRC16 and 0x00FF
	MOVLW       _TXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMLib30_Flen+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       255
	ANDWF       RFM12IntTX_CRC16+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
L__RFM12IntTX117:
;RFMLib30.mbas,644 :: 		SPIPut16Get8(Fhead[Fidx])
	MOVF        RFMLib30_Fidx+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _Fhead+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_Fhead+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_Fhead+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_SPIPut16Get8_CMD+0
	TBLRD*+
	MOVFF       TABLAT+0, FARG_SPIPut16Get8_CMD+1
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,645 :: 		inc(Fidx)
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mbas,646 :: 		if Fidx > 4 then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBLW       4
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntTX120
;RFMLib30.mbas,648 :: 		Fint = 2                    ' do payload now
	MOVLW       2
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mbas,649 :: 		Fidx = 0
	CLRF        RFMLib30_Fidx+0 
;RFMLib30.mbas,650 :: 		Fham = 1                    ' start Hamming with hi-half
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
L__RFM12IntTX120:
;RFMLib30.mbas,652 :: 		exit
	GOTO        L_end__RFM12IntTX
L__RFM12IntTX115:
;RFMLib30.mbas,654 :: 		case 02
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX124
;RFMLib30.mbas,656 :: 		if Fham = 1 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX126
;RFMLib30.mbas,658 :: 		Hilo = (TXBU[Fidx] and 0xF0)  >>  4
	MOVLW       _TXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       240
	ANDWF       POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
;RFMLib30.mbas,659 :: 		Cmd  = 0xB800 or HamVa[Hilo]
	MOVLW       _HamVa+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_HamVa+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_HamVa+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVLW       0
	IORWF       R0, 0 
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       0
	IORLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
;RFMLib30.mbas,660 :: 		SPIPut16Get8(Cmd)            ' send high Hamming
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,661 :: 		SPIPut16Get8(0x0000)         ' get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,662 :: 		Fham = 2                    ' now lo Hamming
	MOVLW       2
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mbas,663 :: 		exit
	GOTO        L_end__RFM12IntTX
L__RFM12IntTX126:
;RFMLib30.mbas,665 :: 		if Fham = 2 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX129
;RFMLib30.mbas,667 :: 		Hilo = (TXBU[Fidx] and 0x0F)
	MOVLW       _TXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       15
	ANDWF       POSTINC0+0, 0 
	MOVWF       R0 
;RFMLib30.mbas,668 :: 		Cmd  = 0xB800 or HamVa[Hilo]
	MOVLW       _HamVa+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_HamVa+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_HamVa+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVLW       0
	IORWF       R0, 0 
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       0
	IORLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
;RFMLib30.mbas,669 :: 		SPIPut16Get8(Cmd)            ' send low Hamming
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,670 :: 		SPIPut16Get8(0x0000)         ' get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,671 :: 		Fham = 1                    ' now high Hamming again
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mbas,672 :: 		inc(Fidx)
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mbas,673 :: 		if Fidx > Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntTX132
;RFMLib30.mbas,675 :: 		Fint = 3                  ' do trailer now
	MOVLW       3
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mbas,676 :: 		Fidx = 0
	CLRF        RFMLib30_Fidx+0 
L__RFM12IntTX132:
;RFMLib30.mbas,677 :: 		end if
L__RFM12IntTX129:
;RFMLib30.mbas,679 :: 		exit
	GOTO        L_end__RFM12IntTX
L__RFM12IntTX124:
;RFMLib30.mbas,681 :: 		case 03
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX136
;RFMLib30.mbas,683 :: 		SPIPut16Get8(0xB8AA)
	MOVLW       170
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,684 :: 		SPIPut16Get8(0x0000)           ' get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mbas,685 :: 		Fput = 3                      ' put is OK and ready
	MOVLW       3
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mbas,686 :: 		Fmod = 5
	MOVLW       5
	MOVWF       _Fmod+0 
;RFMLib30.mbas,687 :: 		exit
	GOTO        L_end__RFM12IntTX
L__RFM12IntTX136:
;RFMLib30.mbas,690 :: 		end sub
L_end__RFM12IntTX:
L_end_RFM12IntTX:
	RETURN      0
; end of _RFM12IntTX

_SPIread:

;RFMLib30.mbas,696 :: 		sub function SPIread(dim Bput as byte) as byte
;RFMLib30.mbas,698 :: 		SSPBUF  = Bput
	MOVF        FARG_SPIread_Bput+0, 0 
	MOVWF       SSPBUF+0 
;RFMLib30.mbas,699 :: 		nop  nop
	NOP
	NOP
;RFMLib30.mbas,700 :: 		while SSPSTAT.0 = 0  nop          ' wait until byte is out by SPI
L__SPIread139:
	BTFSC       SSPSTAT+0, 0 
	GOTO        L__SPIread140
	NOP
;RFMLib30.mbas,701 :: 		wend
	GOTO        L__SPIread139
L__SPIread140:
;RFMLib30.mbas,702 :: 		result = SSPBUF                    ' give back received byte
	MOVF        SSPBUF+0, 0 
	MOVWF       R1 
;RFMLib30.mbas,703 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_SPIread:
	RETURN      0
; end of _SPIread

_SPIreadM:

;RFMLib30.mbas,709 :: 		sub function SPIreadM(dim Bput as byte) as byte
;RFMLib30.mbas,711 :: 		SSPBUF  = Bput
	MOVF        FARG_SPIreadM_Bput+0, 0 
	MOVWF       SSPBUF+0 
;RFMLib30.mbas,712 :: 		nop  nop
	NOP
	NOP
;RFMLib30.mbas,713 :: 		while SSPSTAT.0 = 0  nop          ' wait until byte is out by SPI
L__SPIreadM145:
	BTFSC       SSPSTAT+0, 0 
	GOTO        L__SPIreadM146
	NOP
;RFMLib30.mbas,714 :: 		wend
	GOTO        L__SPIreadM145
L__SPIreadM146:
;RFMLib30.mbas,715 :: 		result = SSPBUF                    ' give back received byte
	MOVF        SSPBUF+0, 0 
	MOVWF       R1 
;RFMLib30.mbas,716 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_SPIreadM:
	RETURN      0
; end of _SPIreadM

_Probe:

;RFMLib30.mbas,722 :: 		sub procedure Probe
;RFMLib30.mbas,724 :: 		PROB = 1
	BSF         RD7_bit+0, BitPos(RD7_bit+0) 
;RFMLib30.mbas,725 :: 		nop
	NOP
;RFMLib30.mbas,726 :: 		PROB = 0
	BCF         RD7_bit+0, BitPos(RD7_bit+0) 
;RFMLib30.mbas,727 :: 		end sub
L_end_Probe:
	RETURN      0
; end of _Probe
