
_FillTXBU:

;RFM30.mbas,66 :: 		sub procedure FillTXBU
;RFM30.mbas,68 :: 		TXBU[0] = 0x22
	MOVLW       34
	MOVWF       _TXBU+0 
;RFM30.mbas,69 :: 		TXBU[1] = NdAdr
	MOVLW       34
	MOVWF       _TXBU+1 
;RFM30.mbas,70 :: 		TXBU[2] = 9
	MOVLW       9
	MOVWF       _TXBU+2 
;RFM30.mbas,71 :: 		TXBU[3] = $01
	MOVLW       1
	MOVWF       _TXBU+3 
;RFM30.mbas,72 :: 		TXBU[4] = $51
	MOVLW       81
	MOVWF       _TXBU+4 
;RFM30.mbas,73 :: 		TXBU[5] = $52
	MOVLW       82
	MOVWF       _TXBU+5 
;RFM30.mbas,74 :: 		TXBU[6] = $53
	MOVLW       83
	MOVWF       _TXBU+6 
;RFM30.mbas,75 :: 		TXBU[7] = $54
	MOVLW       84
	MOVWF       _TXBU+7 
;RFM30.mbas,76 :: 		TXBU[8] = $00
	CLRF        _TXBU+8 
;RFM30.mbas,77 :: 		TXBU[9] = $00
	CLRF        _TXBU+9 
;RFM30.mbas,78 :: 		end sub
L_end_FillTXBU:
	RETURN      0
; end of _FillTXBU

_DoApp1:

;RFM30.mbas,81 :: 		sub procedure DoApp1
;RFM30.mbas,84 :: 		case 01
	MOVF        _A1sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp15
;RFM30.mbas,86 :: 		Fmod  = 0                     ' RFM not yet init.
	CLRF        _Fmod+0 
;RFM30.mbas,87 :: 		InitRFM12
	CALL        _InitRFM12+0, 0
;RFM30.mbas,88 :: 		FillTXBU
	CALL        _FillTXBU+0, 0
;RFM30.mbas,89 :: 		nSEL  = 1
	BSF         NSEL+0, BitPos(NSEL+0) 
;RFM30.mbas,90 :: 		SDIX  = 1
	BSF         SDIX+0, BitPos(SDIX+0) 
;RFM30.mbas,91 :: 		SCKX  = 0
	BCF         SCKX+0, BitPos(SCKX+0) 
;RFM30.mbas,92 :: 		LEDX  = 0
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,93 :: 		LEDR  = 0
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,94 :: 		A1tim = 0
	CLRF        _A1tim+0 
;RFM30.mbas,95 :: 		A1sta = 02
	MOVLW       2
	MOVWF       _A1sta+0 
;RFM30.mbas,96 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp15:
;RFM30.mbas,98 :: 		case 02
	MOVF        _A1sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp18
;RFM30.mbas,100 :: 		if A1tim > 1 then
	MOVF        _A1tim+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp110
;RFM30.mbas,101 :: 		A1sta = 10
	MOVLW       10
	MOVWF       _A1sta+0 
L__DoApp110:
;RFM30.mbas,103 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp18:
;RFM30.mbas,105 :: 		case 10
	MOVF        _A1sta+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp114
;RFM30.mbas,107 :: 		RFMPutStart
	CALL        _RFMPutStart+0, 0
;RFM30.mbas,108 :: 		A1sta = 20
	MOVLW       20
	MOVWF       _A1sta+0 
;RFM30.mbas,109 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp114:
;RFM30.mbas,111 :: 		case 20
	MOVF        _A1sta+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp117
;RFM30.mbas,113 :: 		if RFMPutReady = 3 then
	CALL        _RFMPutReady+0, 0
	MOVF        R0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp119
;RFM30.mbas,115 :: 		LEDX  = 1
	BSF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,116 :: 		A1tim = 0
	CLRF        _A1tim+0 
;RFM30.mbas,117 :: 		A1sta = 30
	MOVLW       30
	MOVWF       _A1sta+0 
;RFM30.mbas,118 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp119:
;RFM30.mbas,120 :: 		if RFMPutReady > 3 then
	CALL        _RFMPutReady+0, 0
	MOVF        R0, 0 
	SUBLW       3
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp122
;RFM30.mbas,122 :: 		LEDR  = 1
	BSF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,123 :: 		A1tim = 0
	CLRF        _A1tim+0 
;RFM30.mbas,124 :: 		A1sta = 30
	MOVLW       30
	MOVWF       _A1sta+0 
;RFM30.mbas,125 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp122:
;RFM30.mbas,127 :: 		exit
	GOTO        L_end__DoApp1
L__DoApp117:
;RFM30.mbas,129 :: 		case 30
	MOVF        _A1sta+0, 0 
	XORLW       30
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp126
;RFM30.mbas,131 :: 		if A1tim >= 10 then
	MOVLW       10
	SUBWF       _A1tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp128
;RFM30.mbas,133 :: 		LEDX  = 0
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,134 :: 		LEDR  = 0
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,135 :: 		A1tim = 0
	CLRF        _A1tim+0 
;RFM30.mbas,136 :: 		A1sta = 40
	MOVLW       40
	MOVWF       _A1sta+0 
L__DoApp128:
;RFM30.mbas,137 :: 		end if
	GOTO        L__DoApp12
L__DoApp126:
;RFM30.mbas,139 :: 		case 40
	MOVF        _A1sta+0, 0 
	XORLW       40
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp132
;RFM30.mbas,141 :: 		if A1tim >= 20 then
	MOVLW       20
	SUBWF       _A1tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp134
;RFM30.mbas,143 :: 		A1sta = 10
	MOVLW       10
	MOVWF       _A1sta+0 
L__DoApp134:
;RFM30.mbas,144 :: 		end if
	GOTO        L__DoApp12
L__DoApp132:
L__DoApp12:
;RFM30.mbas,147 :: 		end sub
L_end__DoApp1:
L_end_DoApp1:
	RETURN      0
; end of _DoApp1

_DoApp2:

;RFM30.mbas,150 :: 		sub procedure DoApp2
;RFM30.mbas,153 :: 		case 01
	MOVF        _A2sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp240
;RFM30.mbas,155 :: 		Fmod  = 0                      ' RFM not yet init.
	CLRF        _Fmod+0 
;RFM30.mbas,156 :: 		InitRFM12
	CALL        _InitRFM12+0, 0
;RFM30.mbas,157 :: 		nSEL  = 1
	BSF         NSEL+0, BitPos(NSEL+0) 
;RFM30.mbas,158 :: 		SDIX  = 1
	BSF         SDIX+0, BitPos(SDIX+0) 
;RFM30.mbas,159 :: 		SCKX  = 0
	BCF         SCKX+0, BitPos(SCKX+0) 
;RFM30.mbas,160 :: 		LEDX  = 0
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,161 :: 		LEDR  = 0
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,162 :: 		A2tim = 0
	CLRF        _A2tim+0 
;RFM30.mbas,163 :: 		A2sta = 02
	MOVLW       2
	MOVWF       _A2sta+0 
;RFM30.mbas,164 :: 		exit
	GOTO        L_end__DoApp2
L__DoApp240:
;RFM30.mbas,166 :: 		case 02
	MOVF        _A2sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp243
;RFM30.mbas,168 :: 		if A2tim > 1 then
	MOVF        _A2tim+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp245
;RFM30.mbas,169 :: 		A2sta = 10
	MOVLW       10
	MOVWF       _A2sta+0 
L__DoApp245:
;RFM30.mbas,171 :: 		exit
	GOTO        L_end__DoApp2
L__DoApp243:
;RFM30.mbas,173 :: 		case 10
	MOVF        _A2sta+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp249
;RFM30.mbas,175 :: 		RFMGetStart
	CALL        _RFMGetStart+0, 0
;RFM30.mbas,176 :: 		A2sta = 20
	MOVLW       20
	MOVWF       _A2sta+0 
;RFM30.mbas,177 :: 		exit
	GOTO        L_end__DoApp2
L__DoApp249:
;RFM30.mbas,179 :: 		case 20
	MOVF        _A2sta+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp252
;RFM30.mbas,181 :: 		if RFMGetReady = 3 then
	CALL        _RFMGetReady+0, 0
	MOVF        R0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp254
;RFM30.mbas,183 :: 		LEDX  = 1
	BSF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,184 :: 		A2tim = 0
	CLRF        _A2tim+0 
;RFM30.mbas,185 :: 		A2sta = 30
	MOVLW       30
	MOVWF       _A2sta+0 
;RFM30.mbas,186 :: 		exit
	GOTO        L_end__DoApp2
L__DoApp254:
;RFM30.mbas,188 :: 		if RFMGetReady > 3 then
	CALL        _RFMGetReady+0, 0
	MOVF        R0, 0 
	SUBLW       3
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp257
;RFM30.mbas,190 :: 		LEDR  = 1
	BSF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,191 :: 		A2tim = 0
	CLRF        _A2tim+0 
;RFM30.mbas,192 :: 		A2sta = 30
	MOVLW       30
	MOVWF       _A2sta+0 
;RFM30.mbas,193 :: 		exit
	GOTO        L_end__DoApp2
L__DoApp257:
;RFM30.mbas,194 :: 		end if
	GOTO        L__DoApp237
L__DoApp252:
;RFM30.mbas,196 :: 		case 30
	MOVF        _A2sta+0, 0 
	XORLW       30
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp261
;RFM30.mbas,198 :: 		if A2tim >= 10 then
	MOVLW       10
	SUBWF       _A2tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp263
;RFM30.mbas,200 :: 		LEDX  = 0
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mbas,201 :: 		LEDR  = 0
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mbas,202 :: 		A2sta = 10
	MOVLW       10
	MOVWF       _A2sta+0 
L__DoApp263:
;RFM30.mbas,203 :: 		end if
	GOTO        L__DoApp237
L__DoApp261:
L__DoApp237:
;RFM30.mbas,206 :: 		end sub
L_end__DoApp2:
L_end_DoApp2:
	RETURN      0
; end of _DoApp2

_DoApp3:

;RFM30.mbas,209 :: 		sub procedure DoApp3
;RFM30.mbas,212 :: 		case 01
	MOVF        _A3sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp369
;RFM30.mbas,214 :: 		A3tim = 0
	CLRF        _A3tim+0 
;RFM30.mbas,215 :: 		LEDB  = 1
	BSF         LEDB+0, BitPos(LEDB+0) 
;RFM30.mbas,216 :: 		A3sta = 02
	MOVLW       2
	MOVWF       _A3sta+0 
;RFM30.mbas,217 :: 		exit
	GOTO        L_end__DoApp3
L__DoApp369:
;RFM30.mbas,219 :: 		case 02
	MOVF        _A3sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp372
;RFM30.mbas,221 :: 		if A3tim > 50 then
	MOVF        _A3tim+0, 0 
	SUBLW       50
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp374
;RFM30.mbas,222 :: 		LEDB = 0
	BCF         LEDB+0, BitPos(LEDB+0) 
L__DoApp374:
;RFM30.mbas,224 :: 		if A3tim > 100 then
	MOVF        _A3tim+0, 0 
	SUBLW       100
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp377
;RFM30.mbas,225 :: 		A3sta = 01
	MOVLW       1
	MOVWF       _A3sta+0 
L__DoApp377:
;RFM30.mbas,227 :: 		exit
	GOTO        L_end__DoApp3
L__DoApp372:
;RFM30.mbas,230 :: 		end sub
L_end__DoApp3:
L_end_DoApp3:
	RETURN      0
; end of _DoApp3

_InitTMR0:

;RFM30.mbas,233 :: 		sub procedure InitTMR0
;RFM30.mbas,235 :: 		T0CON = %10011000                   ' T0 on, no Prescaler
	MOVLW       152
	MOVWF       T0CON+0 
;RFM30.mbas,236 :: 		TMR0H    = $93                      ' Timer0 = 10 mS
	MOVLW       147
	MOVWF       TMR0H+0 
;RFM30.mbas,237 :: 		TMR0L    = $FF                      ' T0 = 65.535 - 27.648 = 37.887 -> $93FF
	MOVLW       255
	MOVWF       TMR0L+0 
;RFM30.mbas,238 :: 		end sub
L_end_InitTMR0:
	RETURN      0
; end of _InitTMR0

_Interrupt:

;RFM30.mbas,242 :: 		sub procedure Interrupt
;RFM30.mbas,244 :: 		if (INTCON.5 = 1) and (INTCON.2 = 1) then
	BTFSC       INTCON+0, 5 
	GOTO        L__Interrupt108
	BCF         R1, 0 
	GOTO        L__Interrupt109
L__Interrupt108:
	BSF         R1, 0 
L__Interrupt109:
	BTFSC       INTCON+0, 2 
	GOTO        L__Interrupt110
	BCF         4056, 0 
	GOTO        L__Interrupt111
L__Interrupt110:
	BSF         4056, 0 
L__Interrupt111:
	BTFSS       R1, 0 
	GOTO        L__Interrupt112
	BTFSS       4056, 0 
	GOTO        L__Interrupt112
	BSF         R1, 0 
	GOTO        L__Interrupt113
L__Interrupt112:
	BCF         R1, 0 
L__Interrupt113:
	BTFSS       R1, 0 
	GOTO        L__Interrupt82
;RFM30.mbas,247 :: 		TMR0H    = $93                    ' Timer0 setzen = 10 mS
	MOVLW       147
	MOVWF       TMR0H+0 
;RFM30.mbas,248 :: 		TMR0L    = $FF
	MOVLW       255
	MOVWF       TMR0L+0 
;RFM30.mbas,249 :: 		inc(A1tim)                        ' increment App-timer
	INCF        _A1tim+0, 1 
;RFM30.mbas,250 :: 		inc(A2tim)
	INCF        _A2tim+0, 1 
;RFM30.mbas,251 :: 		inc(A3tim)
	INCF        _A3tim+0, 1 
;RFM30.mbas,252 :: 		INTCON.2 = 0                      ' Reset Flag
	BCF         INTCON+0, 2 
L__Interrupt82:
;RFM30.mbas,256 :: 		if (INTCON.4 = 1) and (INTCON.1 = 1) then
	BTFSC       INTCON+0, 4 
	GOTO        L__Interrupt114
	BCF         R1, 0 
	GOTO        L__Interrupt115
L__Interrupt114:
	BSF         R1, 0 
L__Interrupt115:
	BTFSC       INTCON+0, 1 
	GOTO        L__Interrupt116
	BCF         4056, 0 
	GOTO        L__Interrupt117
L__Interrupt116:
	BSF         4056, 0 
L__Interrupt117:
	BTFSS       R1, 0 
	GOTO        L__Interrupt118
	BTFSS       4056, 0 
	GOTO        L__Interrupt118
	BSF         R1, 0 
	GOTO        L__Interrupt119
L__Interrupt118:
	BCF         R1, 0 
L__Interrupt119:
	BTFSS       R1, 0 
	GOTO        L__Interrupt85
;RFM30.mbas,258 :: 		if Fmod = 2 then
	MOVF        _Fmod+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt88
;RFM30.mbas,259 :: 		RFM12IntRX
	CALL        _RFM12IntRX+0, 0
L__Interrupt88:
;RFM30.mbas,261 :: 		if Fmod = 4 then
	MOVF        _Fmod+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt91
;RFM30.mbas,262 :: 		RFM12IntTX
	CALL        _RFM12IntTX+0, 0
L__Interrupt91:
;RFM30.mbas,264 :: 		INTCON.1 = 0                      ' Reset Flag
	BCF         INTCON+0, 1 
L__Interrupt85:
;RFM30.mbas,267 :: 		end sub
L_end_Interrupt:
L__Interrupt107:
	RETFIE      1
; end of _Interrupt

_main:

;RFM30.mbas,270 :: 		main:
;RFM30.mbas,271 :: 		delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__main94:
	DECFSZ      R13, 1, 1
	BRA         L__main94
	DECFSZ      R12, 1, 1
	BRA         L__main94
	DECFSZ      R11, 1, 1
	BRA         L__main94
	NOP
;RFM30.mbas,272 :: 		Init4620
	CALL        _Init4620+0, 0
;RFM30.mbas,273 :: 		delay_ms(10)
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L__main95:
	DECFSZ      R13, 1, 1
	BRA         L__main95
	DECFSZ      R12, 1, 1
	BRA         L__main95
	NOP
;RFM30.mbas,274 :: 		InitTMR0
	CALL        _InitTMR0+0, 0
;RFM30.mbas,275 :: 		INTCON = %10110000
	MOVLW       176
	MOVWF       INTCON+0 
;RFM30.mbas,277 :: 		A1sta = 01                         ' Init state machines
	MOVLW       1
	MOVWF       _A1sta+0 
;RFM30.mbas,278 :: 		A2sta = 01
	MOVLW       1
	MOVWF       _A2sta+0 
;RFM30.mbas,279 :: 		A3sta = 01
	MOVLW       1
	MOVWF       _A3sta+0 
;RFM30.mbas,281 :: 		while true
L__main97:
;RFM30.mbas,283 :: 		DoApp1                            ' Test put
	CALL        _DoApp1+0, 0
;RFM30.mbas,285 :: 		DoApp3                            ' additional app
	CALL        _DoApp3+0, 0
;RFM30.mbas,286 :: 		wend
	GOTO        L__main97
L_end_main:
	GOTO        $+0
; end of _main
